de.esprit.appsuite

## Class AppSuiteEnv

- java.lang.Object
- - de.esprit.appsuite.AppSuiteEnv

-     public class AppSuiteEnv
      extends java.lang.Object

  This class defines environment variables concerning the EspritAppSuite framework
  Author:
    Rainer Buesch

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `ESPRIT_APP_CACHE_LAUNCH_DIR`
    `static java.lang.String` | `ESPRIT_APP_CACHE_ROOT_DIR`
    `static java.lang.String` | `ESPRIT_CLIENT_WORKSPACE`
    `static java.lang.String` | `JAVA_INSTALLATION_PATH`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AppSuiteEnv()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.io.File` | `fetchEspritAppCacheLaunchDir()` Fetches the value of the ESPRIT_APP_CACHE_LAUNCH_DIR env variable - or throws an Exception if not set.
    `static java.io.File` | `getEspritAppCacheLaunchDir()` This variable is passed to any application launched by the `AppCacheManager`
    `static java.io.File` | `getEspritAppCacheRootDir()` This defines a local directory for the application cache (webstart based installations)
    `static java.io.File` | `getEspritClientWorkspace()` This is where esprit clients store their data

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ESPRIT_CLIENT_WORKSPACE

          public static final java.lang.String ESPRIT_CLIENT_WORKSPACE

      See Also:
        Constant Field Values

    - #### ESPRIT_APP_CACHE_ROOT_DIR

          public static final java.lang.String ESPRIT_APP_CACHE_ROOT_DIR

      See Also:
        Constant Field Values

    - #### JAVA_INSTALLATION_PATH

          public static final java.lang.String JAVA_INSTALLATION_PATH

      See Also:
        Constant Field Values

    - #### ESPRIT_APP_CACHE_LAUNCH_DIR

          public static final java.lang.String ESPRIT_APP_CACHE_LAUNCH_DIR

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### AppSuiteEnv

          public AppSuiteEnv()

  - ### Method Detail

    - #### getEspritClientWorkspace

          public static java.io.File getEspritClientWorkspace()

      This is where esprit clients store their data

    - #### getEspritAppCacheRootDir

          public static java.io.File getEspritAppCacheRootDir()

      This defines a local directory for the application cache (webstart based installations)

    - #### getEspritAppCacheLaunchDir

          public static java.io.File getEspritAppCacheLaunchDir()

      This variable is passed to any application launched by the `AppCacheManager`

    - #### fetchEspritAppCacheLaunchDir

          public static java.io.File fetchEspritAppCacheLaunchDir()

      Fetches the value of the ESPRIT_APP_CACHE_LAUNCH_DIR env variable - or throws an Exception if not set.
      See Also:
        `getEspritAppCacheLaunchDir()`

Copyright © 2014 EsprIT-Systems. All Rights Reserved.